Bug 1548797 - Review Request: python-cartopy - Cartographic Python library with Matplotlib visualisations
Summary: Review Request: python-cartopy - Cartographic Python library with Matplotlib ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1548798
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-25 06:51 UTC by Elliott Sales de Andrade
Modified: 2018-03-13 23:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-13 17:17:28 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2018-02-25 06:51:43 UTC
Spec URL: https://qulogic.fedorapeople.org//python-cartopy.spec
SRPM URL: https://qulogic.fedorapeople.org//python-cartopy-0.16.0-1.fc27.src.rpm

Description:
Cartopy is a Python package designed to make drawing maps for data analysis
and visualisation easy. It features:
* object oriented projection definitions
* point, line, polygon and image transformations between projections
* integration to expose advanced mapping in matplotlib with a simple and
  intuitive interface
* powerful vector data handling by integrating shapefile reading with Shapely
  capabilities

Comment 1 Elliott Sales de Andrade 2018-02-25 06:51:49 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=25296526

Comment 2 Elliott Sales de Andrade 2018-02-25 07:13:17 UTC
So this scratch build is skipping a few tests due to lacking data. I'd like to run it with the Natural Earth data on other arches once packaged, but it does work on x86_64 at least.

Comment 3 Robert-André Mauchin 2018-02-25 17:12:04 UTC
Got tests failures, all the ones with text in it:

+ pytest-2 --doctest-modules --pyargs cartopy -m 'not network'
============================= test session starts ==============================
platform linux2 -- Python 2.7.14, pytest-3.2.3, py-1.5.2, pluggy-0.4.0
rootdir: /builddir/build/BUILD/Cartopy-0.16.0, inifile: setup.cfg
collected 333 items
. ........s.........................................................x................................................................................................................................F............................................................................FFFFF..
=================================== FAILURES ===================================
_______________________________ test_grid_labels _______________________________
args = (), kwargs = {}, orig_backend = 'agg'
style_context = <function context at 0x7fa735764cf8>, r = None
fig_managers = [<matplotlib.backend_bases.FigureManagerBase object at 0x7fa72ba1ddd0>]
manager = <matplotlib.backend_bases.FigureManagerBase object at 0x7fa72ba1ddd0>
figures = [<matplotlib.figure.Figure object at 0x7fa723be71d0>]
figure = <matplotlib.figure.Figure object at 0x7fa723be71d0>
    def wrapped(*args, **kwargs):
        orig_backend = plt.get_backend()
        plt.switch_backend('agg')
        mpl_setup()
    
        if pyplot_helpers.Gcf.figs:
            warnings.warn('Figures existed before running the %s %s test.'
                          ' All figures should be closed after they run. '
                          'They will be closed automatically now.' %
                          (mod_name, test_name))
            pyplot_helpers.Gcf.destroy_all()
    
        if MPL_VERSION >= '2':
            style_context = mpl.style.context
        else:
            @contextlib.contextmanager
            def style_context(style, after_reset=False):
                yield
    
        with style_context('classic'):
            r = test_func(*args, **kwargs)
    
            fig_managers = pyplot_helpers.Gcf._activeQue
            figures = [manager.canvas.figure for manager in fig_managers]
    
            try:
>               self.run_figure_comparisons(figures, test_name=mod_name)
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:237: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:165: in run_figure_comparisons
    self.do_compare(result_path, expected_path, self.tolerance)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
self = <cartopy.tests.mpl.ImageTesting object at 0x7fa72e550cd0>
result_fname = '/builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_gridliner/result-gridliner_labels.png'
expected_fname = '/builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_gridliner/gridliner_labels.png'
tol = 0.5
    def do_compare(self, result_fname, expected_fname, tol):
        """
            Runs the comparison of the result file with the expected file.
    
            If an RMS difference greater than ``tol`` is found an assertion
            error is raised with an appropriate message with the paths to
            the files concerned.
    
            """
        if not os.path.exists(expected_fname):
            warnings.warn('Created image in %s' % expected_fname)
            shutil.copy2(result_fname, expected_fname)
    
        err = mcompare.compare_images(expected_fname, result_fname,
                                      tol=tol, in_decorator=True)
    
        if err:
            msg = ('Images were different (RMS: %s).\n%s %s %s\nConsider '
                   'running idiff to inspect these differences.'
                   '' % (err['rms'], err['actual'],
                         err['expected'], err['diff']))
>           assert False, msg
E           AssertionError: Images were different (RMS: 20.2243249887).
E           /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_gridliner/result-gridliner_labels.png /builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_gridliner/gridliner_labels.png /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_gridliner/result-gridliner_labels-failed-diff.png
E           Consider running idiff to inspect these differences.
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:199: AssertionError
_________________________ test_set_yticks_cylindrical __________________________
args = (), kwargs = {}, orig_backend = 'agg'
style_context = <function context at 0x7fa735764cf8>, r = None
fig_managers = [<matplotlib.backend_bases.FigureManagerBase object at 0x7fa72353a8d0>]
manager = <matplotlib.backend_bases.FigureManagerBase object at 0x7fa72353a8d0>
figures = [<matplotlib.figure.Figure object at 0x7fa7233587d0>]
figure = <matplotlib.figure.Figure object at 0x7fa7233587d0>
    def wrapped(*args, **kwargs):
        orig_backend = plt.get_backend()
        plt.switch_backend('agg')
        mpl_setup()
    
        if pyplot_helpers.Gcf.figs:
            warnings.warn('Figures existed before running the %s %s test.'
                          ' All figures should be closed after they run. '
                          'They will be closed automatically now.' %
                          (mod_name, test_name))
            pyplot_helpers.Gcf.destroy_all()
    
        if MPL_VERSION >= '2':
            style_context = mpl.style.context
        else:
            @contextlib.contextmanager
            def style_context(style, after_reset=False):
                yield
    
        with style_context('classic'):
            r = test_func(*args, **kwargs)
    
            fig_managers = pyplot_helpers.Gcf._activeQue
            figures = [manager.canvas.figure for manager in fig_managers]
    
            try:
>               self.run_figure_comparisons(figures, test_name=mod_name)
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:237: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:165: in run_figure_comparisons
    self.do_compare(result_path, expected_path, self.tolerance)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
self = <cartopy.tests.mpl.ImageTesting object at 0x7fa72e479550>
result_fname = '/builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-yticks_cylindrical.png'
expected_fname = '/builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_ticks/yticks_cylindrical.png'
tol = 0.5
    def do_compare(self, result_fname, expected_fname, tol):
        """
            Runs the comparison of the result file with the expected file.
    
            If an RMS difference greater than ``tol`` is found an assertion
            error is raised with an appropriate message with the paths to
            the files concerned.
    
            """
        if not os.path.exists(expected_fname):
            warnings.warn('Created image in %s' % expected_fname)
            shutil.copy2(result_fname, expected_fname)
    
        err = mcompare.compare_images(expected_fname, result_fname,
                                      tol=tol, in_decorator=True)
    
        if err:
            msg = ('Images were different (RMS: %s).\n%s %s %s\nConsider '
                   'running idiff to inspect these differences.'
                   '' % (err['rms'], err['actual'],
                         err['expected'], err['diff']))
>           assert False, msg
E           AssertionError: Images were different (RMS: 3.83341883963).
E           /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-yticks_cylindrical.png /builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_ticks/yticks_cylindrical.png /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-yticks_cylindrical-failed-diff.png
E           Consider running idiff to inspect these differences.
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:199: AssertionError
_______________________________ test_set_xyticks _______________________________
args = (), kwargs = {}, orig_backend = 'agg'
style_context = <function context at 0x7fa735764cf8>, r = None
fig_managers = [<matplotlib.backend_bases.FigureManagerBase object at 0x7fa72b9eee10>]
manager = <matplotlib.backend_bases.FigureManagerBase object at 0x7fa72b9eee10>
figures = [<matplotlib.figure.Figure object at 0x7fa7234bc5d0>]
figure = <matplotlib.figure.Figure object at 0x7fa7234bc5d0>
    def wrapped(*args, **kwargs):
        orig_backend = plt.get_backend()
        plt.switch_backend('agg')
        mpl_setup()
    
        if pyplot_helpers.Gcf.figs:
            warnings.warn('Figures existed before running the %s %s test.'
                          ' All figures should be closed after they run. '
                          'They will be closed automatically now.' %
                          (mod_name, test_name))
            pyplot_helpers.Gcf.destroy_all()
    
        if MPL_VERSION >= '2':
            style_context = mpl.style.context
        else:
            @contextlib.contextmanager
            def style_context(style, after_reset=False):
                yield
    
        with style_context('classic'):
            r = test_func(*args, **kwargs)
    
            fig_managers = pyplot_helpers.Gcf._activeQue
            figures = [manager.canvas.figure for manager in fig_managers]
    
            try:
>               self.run_figure_comparisons(figures, test_name=mod_name)
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:237: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:165: in run_figure_comparisons
    self.do_compare(result_path, expected_path, self.tolerance)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
self = <cartopy.tests.mpl.ImageTesting object at 0x7fa72e479350>
result_fname = '/builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-xyticks.png'
expected_fname = '/builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_ticks/xyticks.png'
tol = 0.5
    def do_compare(self, result_fname, expected_fname, tol):
        """
            Runs the comparison of the result file with the expected file.
    
            If an RMS difference greater than ``tol`` is found an assertion
            error is raised with an appropriate message with the paths to
            the files concerned.
    
            """
        if not os.path.exists(expected_fname):
            warnings.warn('Created image in %s' % expected_fname)
            shutil.copy2(result_fname, expected_fname)
    
        err = mcompare.compare_images(expected_fname, result_fname,
                                      tol=tol, in_decorator=True)
    
        if err:
            msg = ('Images were different (RMS: %s).\n%s %s %s\nConsider '
                   'running idiff to inspect these differences.'
                   '' % (err['rms'], err['actual'],
                         err['expected'], err['diff']))
>           assert False, msg
E           AssertionError: Images were different (RMS: 6.2591751054).
E           /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-xyticks.png /builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_ticks/xyticks.png /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-xyticks-failed-diff.png
E           Consider running idiff to inspect these differences.
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:199: AssertionError
_________________________ test_set_xticks_cylindrical __________________________
args = (), kwargs = {}, orig_backend = 'agg'
style_context = <function context at 0x7fa735764cf8>, r = None
fig_managers = [<matplotlib.backend_bases.FigureManagerBase object at 0x7fa72304a6d0>]
manager = <matplotlib.backend_bases.FigureManagerBase object at 0x7fa72304a6d0>
figures = [<matplotlib.figure.Figure object at 0x7fa72309cb50>]
figure = <matplotlib.figure.Figure object at 0x7fa72309cb50>
    def wrapped(*args, **kwargs):
        orig_backend = plt.get_backend()
        plt.switch_backend('agg')
        mpl_setup()
    
        if pyplot_helpers.Gcf.figs:
            warnings.warn('Figures existed before running the %s %s test.'
                          ' All figures should be closed after they run. '
                          'They will be closed automatically now.' %
                          (mod_name, test_name))
            pyplot_helpers.Gcf.destroy_all()
    
        if MPL_VERSION >= '2':
            style_context = mpl.style.context
        else:
            @contextlib.contextmanager
            def style_context(style, after_reset=False):
                yield
    
        with style_context('classic'):
            r = test_func(*args, **kwargs)
    
            fig_managers = pyplot_helpers.Gcf._activeQue
            figures = [manager.canvas.figure for manager in fig_managers]
    
            try:
>               self.run_figure_comparisons(figures, test_name=mod_name)
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:237: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:165: in run_figure_comparisons
    self.do_compare(result_path, expected_path, self.tolerance)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
self = <cartopy.tests.mpl.ImageTesting object at 0x7fa72e29f210>
result_fname = '/builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-xticks_cylindrical.png'
expected_fname = '/builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_ticks/xticks_cylindrical.png'
tol = 0.5
    def do_compare(self, result_fname, expected_fname, tol):
        """
            Runs the comparison of the result file with the expected file.
    
            If an RMS difference greater than ``tol`` is found an assertion
            error is raised with an appropriate message with the paths to
            the files concerned.
    
            """
        if not os.path.exists(expected_fname):
            warnings.warn('Created image in %s' % expected_fname)
            shutil.copy2(result_fname, expected_fname)
    
        err = mcompare.compare_images(expected_fname, result_fname,
                                      tol=tol, in_decorator=True)
    
        if err:
            msg = ('Images were different (RMS: %s).\n%s %s %s\nConsider '
                   'running idiff to inspect these differences.'
                   '' % (err['rms'], err['actual'],
                         err['expected'], err['diff']))
>           assert False, msg
E           AssertionError: Images were different (RMS: 6.66042337868).
E           /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-xticks_cylindrical.png /builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_ticks/xticks_cylindrical.png /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-xticks_cylindrical-failed-diff.png
E           Consider running idiff to inspect these differences.
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:199: AssertionError
_________________________ test_set_yticks_no_transform _________________________
args = (), kwargs = {}, orig_backend = 'agg'
style_context = <function context at 0x7fa735764cf8>, r = None
fig_managers = [<matplotlib.backend_bases.FigureManagerBase object at 0x7fa72376b190>]
manager = <matplotlib.backend_bases.FigureManagerBase object at 0x7fa72376b190>
figures = [<matplotlib.figure.Figure object at 0x7fa723448f10>]
figure = <matplotlib.figure.Figure object at 0x7fa723448f10>
    def wrapped(*args, **kwargs):
        orig_backend = plt.get_backend()
        plt.switch_backend('agg')
        mpl_setup()
    
        if pyplot_helpers.Gcf.figs:
            warnings.warn('Figures existed before running the %s %s test.'
                          ' All figures should be closed after they run. '
                          'They will be closed automatically now.' %
                          (mod_name, test_name))
            pyplot_helpers.Gcf.destroy_all()
    
        if MPL_VERSION >= '2':
            style_context = mpl.style.context
        else:
            @contextlib.contextmanager
            def style_context(style, after_reset=False):
                yield
    
        with style_context('classic'):
            r = test_func(*args, **kwargs)
    
            fig_managers = pyplot_helpers.Gcf._activeQue
            figures = [manager.canvas.figure for manager in fig_managers]
    
            try:
>               self.run_figure_comparisons(figures, test_name=mod_name)
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:237: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:165: in run_figure_comparisons
    self.do_compare(result_path, expected_path, self.tolerance)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
self = <cartopy.tests.mpl.ImageTesting object at 0x7fa72e479dd0>
result_fname = '/builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-yticks_no_transform.png'
expected_fname = '/builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_ticks/yticks_no_transform.png'
tol = 0.5
    def do_compare(self, result_fname, expected_fname, tol):
        """
            Runs the comparison of the result file with the expected file.
    
            If an RMS difference greater than ``tol`` is found an assertion
            error is raised with an appropriate message with the paths to
            the files concerned.
    
            """
        if not os.path.exists(expected_fname):
            warnings.warn('Created image in %s' % expected_fname)
            shutil.copy2(result_fname, expected_fname)
    
        err = mcompare.compare_images(expected_fname, result_fname,
                                      tol=tol, in_decorator=True)
    
        if err:
            msg = ('Images were different (RMS: %s).\n%s %s %s\nConsider '
                   'running idiff to inspect these differences.'
                   '' % (err['rms'], err['actual'],
                         err['expected'], err['diff']))
>           assert False, msg
E           AssertionError: Images were different (RMS: 3.65015638934).
E           /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-yticks_no_transform.png /builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_ticks/yticks_no_transform.png /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-yticks_no_transform-failed-diff.png
E           Consider running idiff to inspect these differences.
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:199: AssertionError
_________________________ test_set_xticks_no_transform _________________________
args = (), kwargs = {}, orig_backend = 'agg'
style_context = <function context at 0x7fa735764cf8>, r = None
fig_managers = [<matplotlib.backend_bases.FigureManagerBase object at 0x7fa72308fbd0>]
manager = <matplotlib.backend_bases.FigureManagerBase object at 0x7fa72308fbd0>
figures = [<matplotlib.figure.Figure object at 0x7fa723091e50>]
figure = <matplotlib.figure.Figure object at 0x7fa723091e50>
    def wrapped(*args, **kwargs):
        orig_backend = plt.get_backend()
        plt.switch_backend('agg')
        mpl_setup()
    
        if pyplot_helpers.Gcf.figs:
            warnings.warn('Figures existed before running the %s %s test.'
                          ' All figures should be closed after they run. '
                          'They will be closed automatically now.' %
                          (mod_name, test_name))
            pyplot_helpers.Gcf.destroy_all()
    
        if MPL_VERSION >= '2':
            style_context = mpl.style.context
        else:
            @contextlib.contextmanager
            def style_context(style, after_reset=False):
                yield
    
        with style_context('classic'):
            r = test_func(*args, **kwargs)
    
            fig_managers = pyplot_helpers.Gcf._activeQue
            figures = [manager.canvas.figure for manager in fig_managers]
    
            try:
>               self.run_figure_comparisons(figures, test_name=mod_name)
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:237: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:165: in run_figure_comparisons
    self.do_compare(result_path, expected_path, self.tolerance)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
self = <cartopy.tests.mpl.ImageTesting object at 0x7fa72e29f150>
result_fname = '/builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-xticks_no_transform.png'
expected_fname = '/builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_ticks/xticks_no_transform.png'
tol = 0.5
    def do_compare(self, result_fname, expected_fname, tol):
        """
            Runs the comparison of the result file with the expected file.
    
            If an RMS difference greater than ``tol`` is found an assertion
            error is raised with an appropriate message with the paths to
            the files concerned.
    
            """
        if not os.path.exists(expected_fname):
            warnings.warn('Created image in %s' % expected_fname)
            shutil.copy2(result_fname, expected_fname)
    
        err = mcompare.compare_images(expected_fname, result_fname,
                                      tol=tol, in_decorator=True)
    
        if err:
            msg = ('Images were different (RMS: %s).\n%s %s %s\nConsider '
                   'running idiff to inspect these differences.'
                   '' % (err['rms'], err['actual'],
                         err['expected'], err['diff']))
>           assert False, msg
E           AssertionError: Images were different (RMS: 6.66042337868).
E           /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-xticks_no_transform.png /builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/baseline_images/mpl/test_ticks/xticks_no_transform.png /builddir/build/BUILD/Cartopy-0.16.0/cartopy_test_output/test_ticks/result-xticks_no_transform-failed-diff.png
E           Consider running idiff to inspect these differences.
../../BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/tests/mpl/__init__.py:199: AssertionError
=============================== warnings summary ===============================
::test_multiple_projections
  /builddir/build/BUILDROOT/python-cartopy-0.16.0-1.fc29.x86_64/usr/lib64/python2.7/site-packages/cartopy/mpl/feature_artist.py:136: UserWarning: Unable to determine extent. Defaulting to global.
    warnings.warn('Unable to determine extent. Defaulting to global.')
-- Docs: http://doc.pytest.org/en/latest/warnings.html
============================= 54 tests deselected ==============================
 6 failed, 271 passed, 1 skipped, 54 deselected, 1 xfailed, 1 warnings in 40.06 seconds

Comment 4 Robert-André Mauchin 2018-02-25 17:20:04 UTC
It seems the font or the size of the font within generated images is different to the ones they are compared to.

Comment 5 Elliott Sales de Andrade 2018-02-28 07:56:14 UTC
Yes, that was due to updated FreeType. I've added a patch to get that working as well as a few others to work on non-x86 arches.

Spec URL: https://qulogic.fedorapeople.org/python-cartopy.spec
SRPM URL: https://qulogic.fedorapeople.org/python-cartopy-0.16.0-2.fc27.src.rpm

koji build on rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=25356103
koji build on f26 (which requires more patching due to old matplotlib): https://koji.fedoraproject.org/koji/taskinfo?taskID=25356166

Comment 6 Robert-André Mauchin 2018-02-28 17:11:15 UTC
 - Add -q to %setup to make it quiet.

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v3 or later)", "GPL (v3)", "Unknown or generated", "*No
     copyright* Public domain". 128 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/python-cartopy
     /review-python-cartopy/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-cartopy , python3-cartopy , python-cartopy-common
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-cartopy-0.16.0-2.fc29.x86_64.rpm
          python3-cartopy-0.16.0-2.fc29.x86_64.rpm
          python-cartopy-common-0.16.0-2.fc29.noarch.rpm
          python-cartopy-debuginfo-0.16.0-2.fc29.x86_64.rpm
          python-cartopy-debugsource-0.16.0-2.fc29.x86_64.rpm
          python-cartopy-0.16.0-2.fc29.src.rpm
python2-cartopy.x86_64: W: spelling-error Summary(en_US) visualisations -> visualizations, visualization, sensationalist
python2-cartopy.x86_64: W: spelling-error %description -l en_US visualisation -> visualization, salivation, nationalist
python2-cartopy.x86_64: W: spelling-error %description -l en_US matplotlib -> diplomatic
python2-cartopy.x86_64: W: spelling-error %description -l en_US shapefile -> shape file, shape-file, shapeless
python2-cartopy.x86_64: W: no-documentation
python3-cartopy.x86_64: W: spelling-error Summary(en_US) visualisations -> visualizations, visualization, sensationalist
python3-cartopy.x86_64: W: spelling-error %description -l en_US visualisation -> visualization, salivation, nationalist
python3-cartopy.x86_64: W: spelling-error %description -l en_US matplotlib -> diplomatic
python3-cartopy.x86_64: W: spelling-error %description -l en_US shapefile -> shape file, shape-file, shapeless
python3-cartopy.x86_64: W: no-documentation
python-cartopy-common.noarch: W: dangling-symlink /usr/share/cartopy/shapefiles/natural_earth/cultural /usr/share/natural-earth-map-data/cultural
python-cartopy-common.noarch: W: dangling-symlink /usr/share/cartopy/shapefiles/natural_earth/physical /usr/share/natural-earth-map-data/physical
python-cartopy-debugsource.x86_64: W: no-documentation
python-cartopy.src: W: spelling-error Summary(en_US) visualisations -> visualizations, visualization, sensationalist
python-cartopy.src: W: spelling-error %description -l en_US visualisation -> visualization, salivation, nationalist
python-cartopy.src: W: spelling-error %description -l en_US matplotlib -> diplomatic
python-cartopy.src: W: spelling-error %description -l en_US shapefile -> shape file, shape-file, shapeless
python-cartopy.src:160: W: setup-not-quiet
python-cartopy.src: W: invalid-url Source5: Cartopy-norm-images.tar.xz
6 packages and 0 specfiles checked; 0 errors, 19 warnings.

Comment 7 Gwyn Ciesla 2018-02-28 22:21:10 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-cartopy

Comment 8 Fedora Update System 2018-03-01 00:21:38 UTC
python-cartopy-0.16.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0e6a1b1f9f

Comment 9 Fedora Update System 2018-03-01 00:49:29 UTC
python-cartopy-0.16.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-140535bad5

Comment 10 Fedora Update System 2018-03-01 17:06:17 UTC
python-cartopy-0.16.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0e6a1b1f9f

Comment 11 Fedora Update System 2018-03-01 17:44:42 UTC
python-cartopy-0.16.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-140535bad5

Comment 12 Fedora Update System 2018-03-13 17:17:28 UTC
python-cartopy-0.16.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-03-13 23:12:48 UTC
python-cartopy-0.16.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.